std::basic_string_view::end,std::basic_string_view::cend(3)

NAME
std::basic_string_view::end,std::basic_string_view::cend - std::basic_string_view::end,std::basic_string_view::cend

Synopsis
   constexpr const_iterator end() const noexcept; (since C++17)
   constexpr const_iterator cend() const noexcept; (since C++17)
   Returns an iterator to the character following the last character of the view. This
   character acts as a placeholder, attempting to access it results in undefined
   behavior.
   range-begin-end.svg

Parameters
   (none)

Return value
   const_iterator to the character following the last character.

Complexity
   Constant

Example
// Run this code
 #include <iostream>
 #include <iterator>
 #include <string_view>
 int main()
 {
     std::string_view str_view("abcd");
     auto end = str_view.end();
     auto cend = str_view.cend();
     std::cout << *std::prev(end) << '\n';
     std::cout << *std::prev(cend) << '\n';
     std::cout << std::boolalpha << (end == cend) << '\n';
 }

Output:
 d
 d
 true

See also
   begin returns an iterator to the beginning
   cbegin (public member function)
   (C++17)
   end returns an iterator to the end
   cend (public member function of std::basic_string<CharT,Traits,Allocator>)
   (C++11)